Subject: [core] Chair's review of draft-ietf-core-dev-urn-03

From: Jaime Jiménez <[email-masked]>
Date: Mon, 15 Apr 2019 16:11:47 +0300

Dear authors of draft-ietf-core-dev-urn,

Below is the chair’s review of the draft.

I could not find a reference on the draft to the OMA LwM2M specification Section 7.3.1. It is probably relevant as it is mentioned few times. 7.3.1 is where Endpoint Client Names are defined and URNs are used. http://www.openmobilealliance.org/release/LightweightM2M/V1_1-20180710-A/HTML-Version/OMA-TS-LightweightM2M_Core-V1_1-20180710-A.html#7-3-1-0-731-Endpoint-Client-Name

This statement is a bit self-evident: "These URNs may be used in any relevant networks that benefit from the ability to refer to these identifiers in the form of URNs"

The ABNF does not have errors but there are some nits - according to https://tools.ietf.org/tools/bap/abnf.cgi - for example in "Component" which should be:
component = [ DIGIT / ALPHA ]

Although DIGIT and ALPHA are not repeated in this draft's ABNF it wouldn't hurt to repeat them for completion as they are just two short lines. I am not sure what the right policy is regarding that.

Reference to [IEEE.EUI64] returns 404. There are also few outdated references that you have to check on the nits.

Clarification question, since ow urns are defined as "owbody = "ow:" hexstring" , is it OK to use urn:dev:ow:264437f5000000ed_humidity as an example? Wouldn't it be better to define it as "owbody = "ow:" identifier”

Ciao!
-- Jaime Jiménez

---

From: Alexey Melnikov <[email-masked]>
Date: Mon, 15 Apr 2019 14:54:32 +0100

Hi Jaime,

On 15/04/2019 14:11, Jaime Jiménez wrote:
>
> Although DIGIT and ALPHA are not repeated in this draft's ABNF it 
> wouldn't hurt to repeat them for completion as they are just two short 
> lines. I am not sure what the right policy is regarding that.

The best way is to add the following 2 rules:

DIGIT = <Defined in RFC5234>

ALPHA = <Defined in RFC5234>

Best Regards,

Alexey

---

From: Jari Arkko <[email-masked]>
Date: Mon, 15 Apr 2019 16:57:27 +0300

> ALPHA = <Defined in RFC5234>

Thanks. Will use this.

Jari